use `sonata_billing`;

insert into `system_settings` values
	('default_language','en_US'),
	('default_template','_default'),
	('default_timezone','UTC');

insert into `modules` values
	(1,'core','core'),
	(2,'acl','access control list'),
	(3,'pbx','pbx'),
	(4,'tariff','tariff'),
	(5,'settings','configurations'),
	(6,'reports','reports'),
	(7,'misc','miscellaneous');

insert into `module_controllers` values
	(1,1,'core','core'),
	(2,2,'users','users'),
	(3,2,'roles','roles'),
	(4,2,'system_permissions','system_permissions'),
	(5,3,'operators','operators'),
	(6,3,'extensions','extensions'),
	(7,3,'trunks','trunks'),
	(8,3,'cost_centers','cost centers'),
	(9,3,'minute_packages','minute packages'),
	(10,4,'prefix_categories','prefix_categories'),
	(11,4,'tariff_calc','tariff calculator'),
	(12,4,'repricing','repricing'),
	(13,4,'customer_rates','prefixes'),
	(14,4,'carrier_rates','carrier_rates'),
	(15,5,'company_settings','company settings'),
	(16,5,'countries','countries'),
	(17,5,'currencies','currencies'),
	(18,5,'exchange_rates','exchange rates'),
	(19,5,'taxes','taxes'),
	(20,5,'tax_groups','tax groups'),
	(21,5,'email_settings','email settings'),
	(22,6,'rep_filters','filters'),
	(23,6,'rep_builder','report builder'),
	(24,6,'rep_scheduler','report scheduler'),
	(25,7,'dashboard','dashboard'),
	(26,4,'price_categories','price_categories'),
	(27,7,'directory','directory'),
	(28,5,'pbx_servers','pbx servers'),
	(29,5,'licensing','licensing');

insert into `controller_actions` values
	(1,1,'index','view'),
	(2,1,'language','language'),
	(3,1,'login','login'),
	(4,1,'logout','logout'),
	(5,2,'index','view'),
	(6,2,'save','save'),
	(7,2,'remove','delete'),
	(8,2,'menu','menu'),
	(9,3,'index','view'),
	(10,3,'save','save'),
	(11,3,'remove','delete'),
	(12,3,'menu','menu'),
	(13,5,'index','view'),
	(14,5,'save','save'),
	(15,5,'remove','delete'),
	(16,5,'menu','menu'),
	(17,6,'index','view'),
	(18,6,'save','save'),
	(19,6,'remove','delete'),
	(20,6,'sync','synchronize'),
	(21,6,'menu','menu'),
	(22,7,'index','view'),
	(23,7,'save','save'),
	(24,7,'remove','delete'),
	(25,7,'sync','synchronize'),
	(26,7,'menu','menu'),
	(27,8,'index','view'),
	(28,8,'save','save'),
	(29,8,'remove','delete'),
	(30,8,'menu','menu'),
	(31,9,'index','view'),
	(32,9,'save','save'),
	(33,9,'remove','delete'),
	(34,10,'index','view'),
	(35,10,'save','save'),
	(36,10,'remove','delete'),
	(37,10,'menu','menu'),
	(38,11,'index','view'),
	(39,11,'calculate','calculate'),
	(40,12,'index','view'),
	(41,12,'reprocess','reprocess calls'),
	(42,15,'index','view'),
	(43,15,'save','save'),
	(44,15,'menu','menu'),
	(45,16,'index','view'),
	(46,16,'save','save'),
	(47,16,'remove','delete'),
	(48,17,'index','view'),
	(49,17,'save','save'),
	(50,17,'remove','delete'),
	(51,18,'index','view'),
	(52,18,'save','save'),
	(53,18,'remove','delete'),
	(54,18,'sync','synchronize'),
	(55,19,'index','view'),
	(56,19,'save','save'),
	(57,19,'remove','delete'),
	(58,19,'menu','menu'),
	(59,20,'index','view'),
	(60,20,'save','save'),
	(61,20,'remove','delete'),
	(62,20,'menu','menu'),
	(63,21,'index','view'),
	(64,21,'save','save'),
	(65,22,'index','view'),
	(66,22,'save','save'),
	(67,22,'remove','delete'),
	(68,22,'menu','menu'),
	(69,23,'index','view'),
	(70,23,'show_rep','show report'),
	(71,23,'save','save'),
	(72,23,'remove','remove'),
	(73,23,'menu','menu'),
	(74,24,'index','view'),
	(75,24,'save','save'),
	(76,24,'remove','delete'),
	(77,24,'menu','menu'),
	(78,25,'index','view'),
	(79,13,'index','view'),
	(80,13,'save','save'),
	(81,13,'remove','delete'),
	(82,13,'menu','menu'),
	(83,28,'index','view'),
	(84,28,'save','save'),
	(85,28,'menu','menu'),
	(86,29,'index','view'),
	(87,29,'activate','activate'),
	(88,29,'reactivate','reactivate'),
	(89,29,'migrate','migrate'),
	(90,13,'clone','clone'),
	(91,4,'index','view'),
	(92,4,'save','save'),
	(93,4,'remove','remove'),
	(94,4,'menu','menu'),
	(95,14,'index','index'),
	(96,14,'save','save'),
	(97,14,'remove','remove'),
	(98,14,'menu','menu'),
	(99,14,'clone','clone'),
	(100,14,'get_csv_format','get_csv_format'),
	(101,14,'import_index','import_index'),
	(102,14,'import','import'),
	(103,13,'get_csv_format','get_csv_format'),
	(104,13,'import_index','import_index'),
	(105,13,'import','import'),
	(106,26,'index','index'),
	(107,26,'save','save'),
	(108,26,'remove','remove'),
	(109,26,'menu','menu'),
	(110,27,'index','index'),
	(111,27,'import_index','import_index'),
	(112,27,'save','save'),
	(113,27,'remove','remove'),
	(114,27,'search','search'),
	(115,27,'import','import'),
	(116,27,'get_csv_format','get_csv_format'),
	(117,27,'imported','imported');


insert into `roles` values
	(1,'Administrator','yes'),
	(2,'Guest','yes');

insert into `role_permissions` (`role_id`, `action_id`)
		select
			1,
			`action_id`
		from `controller_actions`;

insert into `role_permissions` values
	(2,1),
	(2,3);

insert into `users` values
	(1,1,null,'admin',0xEB8DF336A0D3DC78975A22AC2A2B1547675B068F55C7094A6940BC9382CA30F793275733C4FAE7BBA62DE2D69CD7069518D3064143EE3C95621229FC72A35327,'yes','2017-09-21 10:00:17'),
	(2,2,null,'guest',0x2CF59B7AD691FFBD909197933129EBD5F73EBF56D41B1B3C47C5FA9E160873A86914B16674B7C8FE8DB542BED9E37FA3076C7207C1279460FF230C95A10598F4,'no','2017-09-21 10:00:17');

insert into `user_settings` values
	(1,'timezone','UTC'),
	(1,'language','en_US'),
	(1,'template','_default');

insert into `menu` values
	(1,78,'menu.dash',null,0,'fa fa-fw fa-dashboard','no',0),
	(2,null,'menu.pbx',null,0,'fa fa-fw fa-volume-control-phone','yes',1),
	(3,null,'menu.tariffs',null,0,'fa fa-fw fa-usd','yes',2),
	(4,null,'menu.reports',null,0,'fa fa-fw fa-file-text-o','yes',3),
	(5,null,'menu.tools',null,0,'fa fa-fw fa-wrench','yes',4),
	(6,null,'menu.users',null,0,'fa fa-fw fa-users','yes',5),
	(7,null,'menu.conf',null,0,'fa fa-fw fa-cogs','yes',6),
	(8,13,'menu.operators',null,2,'','no',0),
	(9,17,'menu.extensions',null,2,'','no',1),
	(10,22,'menu.trunks',null,2,'','no',2),
	(11,27,'menu.cost_centers',null,2,'','no',3),
	(12,34,'menu.prefix_categories',null,3,'','no',8),
	(13,79,'menu.customer_rates',null,3,'','no',1),
	(14,69,'menu.rep_builder',null,4,'','no',0),
	(15,65,'menu.rep_filters',null,4,'','no',1),
	(16,74,'menu.rep_scheduler',null,4,'','no',2),
	(17,38,'menu.tariff_calc',null,5,'','no',0),
	(18,40,'menu.repricing',null,5,'','no',1),
	(19,5,'menu.sys_users',null,6,'','no',0),
	(20,9,'menu.roles',null,6,'','no',1),
	(21,42,'menu.company_profile',null,7,'','no',0),
	(22,51,'menu.exchange_rates',null,7,'','no',1),
	(23,63,'menu.email_settings',null,7,'','no',2),
	(24,83,'menu.pbx_server',null,7,'','no',7),
	(25,86,'menu.licensing',null,7,'','no',8),
	(26,91,'menu.system_permissions',null,6,'','no',2),
	(27,95,'menu.carrier_rates',null,3,'','no',0),
	(28,106,'menu.price_categories',null,3,'','no',2),
	(29,110,'menu.directory',null,5,'','no',5);


insert into `prefix_categories` values
	(1,'Internal','Internal Calls','yes'),
	(2,'National','National Calls','yes'),
	(3,'International','International Calls','yes'),
	(4,'VoIP','VoIP Calls','yes');

insert into `cost_centers` values
	(1,'Default','Administrator','yes');

insert into `operators` values
	(1,'Default','yes');

insert into `countries` values
	(1,'Afghanistan','AFG'),
	(2,'Albania','ALB'),
	(3,'Algeria','DZA'),
	(4,'American Samoa','ASM'),
	(5,'Andorra','AND'),
	(6,'Angola','AGO'),
	(7,'Anguilla','AIA'),
	(8,'Antarctica','ATA'),
	(9,'Antigua and Barbuda','ATG'),
	(10,'Argentina','ARG'),
	(11,'Armenia','ARM'),
	(12,'Aruba','ABW'),
	(13,'Australia','AUS'),
	(14,'Austria','AUT'),
	(15,'Azerbaijan','AZE'),
	(16,'Bahamas','BHS'),
	(17,'Bahrain','BHR'),
	(18,'Bangladesh','BGD'),
	(19,'Barbados','BRB'),
	(20,'Belarus','BLR'),
	(21,'Belgium','BEL'),
	(22,'Belize','BLZ'),
	(23,'Benin','BEN'),
	(24,'Bermuda','BMU'),
	(25,'Bhutan','BTN'),
	(26,'Bolivia','BOL'),
	(27,'Bosnia and Herzegovina','BIH'),
	(28,'Botswana','BWA'),
	(29,'Brazil','BRA'),
	(30,'Brunei Darussalam','BRN'),
	(31,'Bulgaria','BGR'),
	(32,'Burkina Faso','BFA'),
	(33,'Burundi','BDI'),
	(34,'Cambodia','KHM'),
	(35,'Cameroon','CMR'),
	(36,'Canada','CAN'),
	(37,'Cape Verde','CPV'),
	(38,'Cayman Islands','CYM'),
	(39,'Central African Republic','CAF'),
	(40,'Chad','TCD'),
	(41,'Chile','CHL'),
	(42,'China','CHN'),
	(43,'Colombia','COL'),
	(44,'Comoros','COM'),
	(47,'Cook Islands','COK'),
	(48,'Costa Rica','CRI'),
	(49,'Croatia','HRV'),
	(50,'Cuba','CUB'),
	(51,'Cyprus','CYP'),
	(52,'Czech Republic','CZE'),
	(46,'Democratic Republic of the Congo','COD'),
	(53,'Denmark','DNK'),
	(54,'Djibouti','DJI'),
	(55,'Dominica','DMA'),
	(56,'Dominican Republic','DOM'),
	(57,'Ecuador','ECU'),
	(58,'Egypt','EGY'),
	(59,'El Salvador','SLV'),
	(60,'Equatorial Guinea','GNQ'),
	(61,'Eritrea','ERI'),
	(62,'Estonia','EST'),
	(63,'Ethiopia','ETH'),
	(64,'Falkland Islands','FLK'),
	(65,'Faroe Islands','FRO'),
	(66,'Fiji','FJI'),
	(67,'Finland','FIN'),
	(68,'France','FRA'),
	(69,'French Guiana','GUF'),
	(70,'French Polynesia','PYF'),
	(71,'Gabon','GAB'),
	(72,'Gambia','GMB'),
	(73,'Georgia','GEO'),
	(74,'Germany','DEU'),
	(75,'Ghana','GHA'),
	(76,'Gibraltar','GIB'),
	(77,'Greece','GRC'),
	(78,'Greenland','GRL'),
	(79,'Grenada','GRD'),
	(80,'Guadeloupe','GLP'),
	(81,'Guam','GUM'),
	(82,'Guatemala','GTM'),
	(83,'Guinea','GIN'),
	(84,'Guinea-Bissau','GNB'),
	(85,'Guyana','GUY'),
	(86,'Haiti','HTI'),
	(87,'Holy See (Vatican City State)','VAT'),
	(88,'Honduras','HND'),
	(89,'Hong Kong','HKG'),
	(90,'Hungary','HUN'),
	(91,'Iceland','ISL'),
	(92,'India','IND'),
	(93,'Indonesia','IDN'),
	(94,'Iran','IRN'),
	(95,'Iraq','IRQ'),
	(96,'Ireland','IRL'),
	(97,'Israel','ISR'),
	(98,'Italy','ITA'),
	(99,'Jamaica','JAM'),
	(100,'Japan','JPN'),
	(101,'Jordan','JOR'),
	(102,'Kazakhstan','KAZ'),
	(103,'Kenya','KEN'),
	(104,'Kiribati','KIR'),
	(107,'Kuwait','KWT'),
	(108,'Kyrgyzstan','KGZ'),
	(109,'Laos','LAO'),
	(110,'Latvia','LVA'),
	(111,'Lebanon','LBN'),
	(112,'Lesotho','LSO'),
	(113,'Liberia','LBR'),
	(114,'Libyan Arab Jamahiriya','LBY'),
	(115,'Liechtenstein','LIE'),
	(116,'Lithuania','LTU'),
	(117,'Luxembourg','LUX'),
	(118,'Macao','MAC'),
	(119,'Macedonia','MKD'),
	(120,'Madagascar','MDG'),
	(121,'Malawi','MWI'),
	(122,'Malaysia','MYS'),
	(123,'Maldives','MDV'),
	(124,'Mali','MLI'),
	(125,'Malta','MLT'),
	(126,'Marshall Islands','MHL'),
	(127,'Martinique','MTQ'),
	(128,'Mauritania','MRT'),
	(129,'Mauritius','MUS'),
	(130,'Mexico','MEX'),
	(131,'Micronesia','FSM'),
	(132,'Moldova','MDA'),
	(133,'Monaco','MCO'),
	(134,'Mongolia','MNG'),
	(135,'Montserrat','MSR'),
	(136,'Morocco','MAR'),
	(137,'Mozambique','MOZ'),
	(138,'Myanmar','MMR'),
	(139,'Namibia','NAM'),
	(140,'Nauru','NRU'),
	(141,'Nepal','NPL'),
	(142,'Netherlands','NLD'),
	(143,'Netherlands Antilles','ANT'),
	(144,'New Caledonia','NCL'),
	(145,'New Zealand','NZL'),
	(146,'Nicaragua','NIC'),
	(147,'Niger','NER'),
	(148,'Nigeria','NGA'),
	(149,'Niue','NIU'),
	(150,'Norfolk Island','NFK'),
	(105,'North Korea','PRK'),
	(151,'Northern Mariana Islands','MNP'),
	(152,'Norway','NOR'),
	(153,'Oman','OMN'),
	(154,'Pakistan','PAK'),
	(155,'Palau','PLW'),
	(156,'Panama','PAN'),
	(157,'Papua New Guinea','PNG'),
	(158,'Paraguay','PRY'),
	(159,'Peru','PER'),
	(160,'Philippines','PHL'),
	(161,'Pitcairn','PCN'),
	(162,'Poland','POL'),
	(163,'Portugal','PRT'),
	(164,'Puerto Rico','PRI'),
	(165,'Qatar','QAT'),
	(45,'Republic of the Congo','COG'),
	(166,'Reunion','REU'),
	(167,'Romania','ROM'),
	(168,'Russian Federation','RUS'),
	(169,'Rwanda','RWA'),
	(170,'Saint Helena','SHN'),
	(171,'Saint Kitts and Nevis','KNA'),
	(172,'Saint Lucia','LCA'),
	(173,'Saint Pierre and Miquelon','SPM'),
	(174,'Saint Vincent and the Grenadines','VCT'),
	(175,'Samoa','WSM'),
	(176,'San Marino','SMR'),
	(177,'Sao Tome and Principe','STP'),
	(178,'Saudi Arabia','SAU'),
	(179,'Senegal','SEN'),
	(180,'Seychelles','SYC'),
	(181,'Sierra Leone','SLE'),
	(182,'Singapore','SGP'),
	(183,'Slovakia','SVK'),
	(184,'Slovenia','SVN'),
	(185,'Solomon Islands','SLB'),
	(186,'Somalia','SOM'),
	(187,'South Africa','ZAF'),
	(106,'South Korea','KOR'),
	(188,'Spain','ESP'),
	(189,'Sri Lanka','LKA'),
	(190,'Sudan','SDN'),
	(191,'Suriname','SUR'),
	(192,'Svalbard and Jan Mayen','SJM'),
	(193,'Swaziland','SWZ'),
	(194,'Sweden','SWE'),
	(195,'Switzerland','CHE'),
	(196,'Syrian Arab Republic','SYR'),
	(197,'Taiwan','TWN'),
	(198,'Tajikistan','TJK'),
	(199,'Tanzania','TZA'),
	(200,'Thailand','THA'),
	(201,'Togo','TGO'),
	(202,'Tokelau','TKL'),
	(203,'Tonga','TON'),
	(204,'Trinidad and Tobago','TTO'),
	(205,'Tunisia','TUN'),
	(206,'Turkey','TUR'),
	(207,'Turkmenistan','TKM'),
	(208,'Turks and Caicos Islands','TCA'),
	(209,'Tuvalu','TUV'),
	(210,'Uganda','UGA'),
	(211,'Ukraine','UKR'),
	(212,'United Arab Emirates','ARE'),
	(213,'United Kingdom','GBR'),
	(214,'United States','USA'),
	(215,'Uruguay','URY'),
	(216,'Uzbekistan','UZB'),
	(217,'Vanuatu','VUT'),
	(218,'Venezuela','VEN'),
	(219,'Viet Nam','VNM'),
	(220,'Wallis and Futuna','WLF'),
	(221,'Western Sahara','ESH'),
	(222,'Yemen','YEM'),
	(223,'Zambia','ZMB'),
	(224,'Zimbabwe','ZWE');

insert into `currencies` values
	(1,'$','USD'),
	(2,'CA$','CAD'),
	(3,'&#8364;','EUR'),
	(4,'&#8353;','CRC'),
	(5,'C$','NIO'),
	(6,'$','ARS'),
	(7,'$','AUD'),
	(8,'$B','BOB'),
	(9,'$','CLP'),
	(10,'$','COP'),
	(11,'&#8369;','CUP'),
	(12,'&#8362;','ILS'),
	(13,'&#165;','JPY'),
	(14,'$','MXN'),
	(15,'B/.','PAB'),
	(16,'&#163;','GBP'),
	(17,'$U','UYU'),
	(18,'BS','VEF'),
	(19,'&#x4c;&#x65;&#x6b;','ALL'),
	(20,'&#x60b;','AFN'),
	(21,'&#x192;','AWG'),
	(22,'&#x43c;&#x430;&#x43d;','AZN'),
	(23,'&#x24;','BSD'),
	(24,'&#x24;','BBD'),
	(25,'&#x42;&#x72;','BYN'),
	(26,'&#x42;&#x5a;&#x24;','BZD'),
	(27,'&#x24;','BMD'),
	(28,'&#x4b;&#x4d;','BAM'),
	(29,'&#x50;','BWP'),
	(30,'&#x43b;&#x432;','BGN'),
	(31,'&#x52;&#x24;','BRL'),
	(32,'&#x24;','BND'),
	(33,'&#x17db;','KHR'),
	(34,'&#x24;','KYD'),
	(35,'&#xa5;','CNY'),
	(36,'&#x6b;&#x6e;','HRK'),
	(37,'&#x4b;&#x10d;','CZK'),
	(38,'&#x6b;&#x72;','DKK'),
	(39,'&#x52;&#x44;&#x24;','DOP'),
	(40,'&#x24;','XCD'),
	(41,'&#xa3;','EGP'),
	(42,'&#x24;','SVC'),
	(43,'&#xa3;','FKP'),
	(44,'&#x24;','FJD'),
	(45,'&#xa2;','GHS'),
	(46,'&#xa3;','GIP'),
	(47,'&#x51;','GTQ'),
	(48,'&#xa3;','GGP'),
	(49,'&#x24;','GYD'),
	(50,'&#x4c;','HNL'),
	(51,'&#x24;','HKD'),
	(52,'&#x46;&#x74;','HUF'),
	(53,'&#x6b;&#x72;','ISK'),
	(54,'&#x;','INR'),
	(55,'&#x52;&#x70;','IDR'),
	(56,'&#xfdfc;','IRR'),
	(57,'&#xa3;','IMP'),
	(58,'&#x4a;&#x24;','JMD'),
	(59,'&#xa3;','JEP'),
	(60,'&#x43b;&#x432;','KZT'),
	(61,'&#x20a9;','KPW'),
	(62,'&#x20a9;','KRW'),
	(63,'&#x43b;&#x432;','KGS'),
	(64,'&#x20ad;','LAK'),
	(65,'&#xa3;','LBP'),
	(66,'&#x24;','LRD'),
	(67,'&#x434;&#x435;&#x43d;','MKD'),
	(68,'&#x52;&#x4d;','MYR'),
	(69,'&#x20a8;','MUR'),
	(70,'&#x20ae;','MNT'),
	(71,'&#x4d;&#x54;','MZN'),
	(72,'&#x24;','NAD'),
	(73,'&#x20a8;','NPR'),
	(74,'&#x192;','ANG'),
	(75,'&#x24;','NZD'),
	(76,'&#x20a6;','NGN'),
	(77,'&#x6b;&#x72;','NOK'),
	(78,'&#xfdfc;','OMR'),
	(79,'&#x20a8;','PKR'),
	(80,'&#x47;&#x73;','PYG'),
	(81,'&#x53;&#x2f;&#x2e;','PEN'),
	(82,'&#x20b1;','PHP'),
	(83,'&#x7a;&#x142;','PLN'),
	(84,'&#xfdfc;','QAR'),
	(85,'&#x6c;&#x65;&#x69;','RON'),
	(86,'&#x20bd;','RUB'),
	(87,'&#xa3;','SHP'),
	(88,'&#xfdfc;','SAR'),
	(89,'&#x414;&#x438;&#x43d;&#x2e;','RSD'),
	(90,'&#x20a8;','SCR'),
	(91,'&#x24;','SGD'),
	(92,'&#x24;','SBD'),
	(93,'&#x53;','SOS'),
	(94,'&#x52;','ZAR'),
	(95,'&#x20a8;','LKR'),
	(96,'&#x6b;&#x72;','SEK'),
	(97,'&#x43;&#x48;&#x46;','CHF'),
	(98,'&#x24;','SRD'),
	(99,'&#xa3;','SYP'),
	(100,'&#x4e;&#x54;&#x24;','TWD'),
	(101,'&#xe3f;','THB'),
	(102,'&#x54;&#x54;&#x24;','TTD'),
	(103,'&#x20ba;','TRY'),
	(104,'&#x24;','TVD'),
	(105,'&#x20b4;','UAH'),
	(106,'&#x43b;&#x432;','UZS'),
	(107,'&#x20ab;','VND'),
	(108,'&#xfdfc;','YER'),
	(109,'&#x5a;&#x24;','ZWD');

insert into `price_categories` values
	(1,'Default','carrier',0.00000000,'yes');

insert into `email_settings` (`type`) values ('sendmail');
