
function multiselect_modal(){
  var frm_set = $('.formset');
  var checkbox = frm_set.find('input[type="checkbox"]');
  frm_set.unbind('click');
  frm_set.on('click', function(){
    if($(this).hasClass('disabled')){
      return ;
    }

    var select = $(this).children("select");
    var label = select.next('label.form-control');
    var modal_title = select.attr('modal-title');
    var map = {};
    select.find("option").each(function(index, option) { map[option.value] = option.text; });

    var modal = create_modal(modal_title, function () {
	    var multiselect_selected = $(this).find('ul.selected');
	    var tmp_select = $(this).find("select");
	    if(multiselect_selected.length){
		    multiselect_selected.find('li').each(function (i, e){
			    var li = $(this);
			    if(i != 0){
				    var old_option = tmp_select.find('option:contains("'+ li.text() +'")');
				    var new_option = old_option.clone();
				    old_option.remove();
				    tmp_select.append(new_option);
			    }
		    });
	    }
	    select.empty().append($(this).find("select option").clone());
	    var values = select.val();
	    if (values != null) {
		    values = values.map(function(value) { return map[value]; }).join(",");
	    }

	    label.html(values);
    });

  var copy = select.clone().removeAttr("id name");
  copy.val(select.val()); // Workaround
  modal.find(".modal-body").append(copy);
  copy.multiselect({'sortable': 'both'});

    modal.modal();
  });

  checkbox.on('ifChanged', function () {
	  $(this).closest('span.formset').removeClass('disabled');
	  if($(this).is(':checked')){
		$(this).closest('span.formset').addClass('disabled');
	  }
  });

  multiselect_modal_auto_interaction(frm_set);
}

function multiselect_modal_auto_interaction(frmset) {
	frmset.each(function () {
		var checkbox = $(this).find('input[type="checkbox"]');
		if(checkbox.is(':checked')){
			$(this).addClass('disabled');
		}
	});
}