var reader_offset = 0;
var buffer_size = 500000; // half megabyte
var pending_content = '';
var csv_header;

/* Chunk CSV File and Read by Pieces*/
function importCSVFile(files, onLoadCallBack, onLoadEndCallBack, firstCall) {
	if(firstCall === true){
		reader_offset = 0;
		pending_content = '';
		csv_header = undefined;
	}

	if(window.FileReader){
		if(files.length){
			var fileToRead = files[0];
			if(isValidCSV(fileToRead.type)){
				getAsText(fileToRead, onLoadCallBack, onLoadEndCallBack);
			}else{
				notification({
					type: 'error',
					message: 'You have been not selected a valid csv file',
					title: 'Directory Import'
				});
			}
		}else{
			notification({
				type: 'error',
				message: 'You did not select any file',
				title: 'Directory Import'
			});
		}

	}else{
		notification({
			type: 'error',
			message: 'Your Browser is not supported',
			title: 'FileReader'
		});
	}
}

function getAsText(fileToRead, onLoadCallBack, onLoadEndCallBack) {
	var reader = new FileReader();
	var blob = fileToRead.slice(reader_offset, reader_offset + buffer_size);
	reader.readAsText(blob);
	reader.onloadend = function (event) {
		if(event.loaded === 0){ //Nothing more to load, Reset data and call the final callback
			reader_offset = 0;
			pending_content = '';
			csv_header = undefined;
			onLoadEndCallBack();
			return ;
		}

		CSVLoadHandler(event, onLoadCallBack, onLoadEndCallBack);
	};


}

function isValidCSV(mimetype) {
	var regex = /^(text|application)\/(?:csv|exce|vnd\.ms-excel|vnd\.msexcel)$/;
	var m = regex.exec(mimetype);
	return (m !== null);
}

function CSVLoadHandler(evt, onLoadCallBack, onLoadEndCallBack) {
	//Increase offset
	reader_offset += evt.loaded;

	//First Line
	var first_line = evt.target.result.indexOf('\n');
	var start = 0;
	if(!csv_header){
		csv_header = evt.target.result.substring(0, first_line);
		start = first_line;
	}

	var last_line_end = evt.target.result.lastIndexOf('\n');
	var content = csv_header + '\n' + pending_content + evt.target.result.substring(start, last_line_end);
	pending_content = evt.target.result.substring(last_line_end+1, evt.target.result.length);
	onLoadCallBack(content, onLoadCallBack, onLoadEndCallBack);
}