$(function () {
	var form = $("#form-internal-directory");
	var importForm = $("#form-directory-importer");
	var phoneInput = form.find('input#phone');
	var phoneInputAddon = phoneInput.next('span.input-group-addon');
	var uploadCSVButton = importForm.find('button#upload_csv');
	var CSVImportAction = importForm.find('input[name=action]');
	var CSVImportedAction = importForm.find('input[name=imported]');

	phoneInputAddon.addClass('pointer');
	
	phoneInputAddon.on('click',function () {
		var search = phoneInput.val();
		var action = form.find('input[name=search]').val();
		virtual_submit("data="+ search +"&action=" + action);
	});

	uploadCSVButton.on('click', function (evt) {
		evt.preventDefault();
		var btn = $(this);
		var originalText = btn.text();
		var importingText = btn.attr('data-importing');
		var fileInput = importForm.find('input[name="contacts"]')[0].files;

		var processed = 0;
		var skipped = 0;
		var added = 0;
		var updated = 0;
		var removed = 0;

		importCSVFile(
			fileInput,
			function (content, onLoadCallBack, onLoadEndCallBack) {
				$.ajax({
					beforeSend: function(){
						btn.attr('disabled', true);
						btn.text(importingText);
						btn.addClass('loading');
					},
					type: "POST",
					url: window.location.pathname,
					data: {
						file_content: content,
						action: CSVImportAction.val()
					},
					global: false
				}).done(function (response) {
					try{
						var data = JSON.parse($.base64.decode(response));
					}catch(err){
						toastr.error('Unexpected Server Response','Inconceivable!');
						console.log(response);
					}

					if(typeof data === 'object') {
						switch (data.action) {
							case 'notification':
								btn.attr('disabled', false);
								btn.text(originalText);
								btn.removeClass('loading');
								notification(data);
								break;
							case 'imported':
								console.log(data);
								processed += data.params.processed;
								skipped += data.params.skipped;
								added += data.params.added;
								updated += data.params.updated;
								removed += data.params.removed;
								importCSVFile(fileInput, onLoadCallBack, onLoadEndCallBack);
								break;
						}
					}

				})
			},
			function () {
				virtual_submit({
					action: CSVImportedAction.val(),
					processed: processed,
					skipped: skipped,
					added: added,
					updated: updated,
					removed: removed
				})
			}, true);
	});
});