var rep_builder_form = $("#form-rep-builder");
var start_datetime = rep_builder_form.find("input#start_datetime");
var end_datetime = rep_builder_form.find("input#end_datetime");

$(function(){
  period_of_time_interaction();
  rep_builder_form.find("select#period").on('change', function(){
    period_of_time_interaction();
  });

	var report_by = rep_builder_form.find('select#report_by');
	report_by_interaction(report_by.val());
	report_by.on('change',function () {
      report_by_interaction($(this).val());
	});

  start_datetime.datetimepicker({
    format: 'YYYY-MM-DD HH:mm'
  });

  end_datetime.datetimepicker({
    format: 'YYYY-MM-DD HH:mm',
    useCurrent: false
  });

  start_datetime.on("dp.change",function(e){
    end_datetime.data("DateTimePicker").minDate(e.date);
  });

  end_datetime.on("dp.change", function (e) {
    start_datetime.data("DateTimePicker").maxDate(e.date);
  });

  rep_builder_form.find("select#call_types").selectize({
    delimiter: ',',
    persist: false,
    maxItems: null
  });

  rep_builder_form.find("input#numbers").selectize({
    delimiter: ',',
    persist: false,
    create: function(input) {
      return {
        value: input,
        text: input
      }
    }
  });

  generate_report_interaction();
});

function period_of_time_interaction(){
  var period_of_time = rep_builder_form.find('select#period');
  var fg_s_datetime = $("div." + start_datetime.attr('data-fg'));
  var fg_e_datetime = $("div." + end_datetime.attr('data-fg'));

  fg_s_datetime.hide();
  fg_e_datetime.hide();

  if(period_of_time.val() == 'custom'){
    fg_s_datetime.show();
    fg_e_datetime.show();
  }
}


function generate_report_interaction(){
  rep_builder_form.find('button#generate_report').on('click', function(){
    var action = rep_builder_form.find('input[name=rep_action]').val();
   virtual_submit(rep_builder_form.serialize() + "&action=" + action);
  });

  rep_builder_form.find('button#rep_tpl_save').on('click', function(){
    var action = rep_builder_form.find('input[name=save_action]').val();
    virtual_submit(rep_builder_form.serialize() + "&action=" + action);
  });
}

function report_by_interaction(report) {
  var numbers_fg = $("div." + rep_builder_form.find('input#numbers').attr('data-fg'));
	common_report_filters(false);

  switch (report){
      case 'numbers':
        numbers_fg.show();
        break;
      case 'unmonitored':
	      numbers_fg.hide();
	      common_report_filters(true);
        break;
      default:
        numbers_fg.hide();
        break;
  }
}

function common_report_filters(hide) {
	rep_builder_form.find('.common-filters').each(function () {
		var form_group = $("div." + $(this).closest('span.formset').attr('data-fg'));
		form_group.show();
		if(hide) {
			form_group.hide();
		}
	});
}