var form = $("#form-rep-filters");
var rep_container = form.find('tbody#rep-rep_filters-prefixes');
var filter_by = form.find("#by");

$(function(){
  frm_interaction(filter_by.val());
  filter_by.on('change', function(){
    frm_interaction($(this).val());
  });

  repeatable_callback();
  repeatable('form-rep-filters', 'rep_filters-prefixes', repeatable_callback);

  time_and_date_schedule();

  form.find('input.hour-picker').datetimepicker({
    format: 'HH:mm'
  });
});

function repeatable_callback(){
  rep_container.find('input[type="checkbox"]').iCheck({
    checkboxClass: 'icheckbox_square-blue',
    radioClass: 'iradio_square-blue',
    increaseArea: '20%'
  });

  rep_container.find("select.call_types").selectize({
    delimiter: ',',
    persist: false,
    maxItems: null
  });
}

function frm_interaction(filter){
  var by_schedules = form.find("div#by_schedules");
  var by_prefixes = form.find("div#by_prefixes");

  if(filter == 'schedule'){
    by_schedules.show();
    by_prefixes.hide();
  }else{
    by_prefixes.show();
    by_schedules.hide();
  }
}


function time_and_date_schedule(){
  var dimensions = [7,24];
  var weekday_list = [
    {name:"Sunday"},{name:"Monday"},{name:"Tuesday"},{name:"Wednesday"},{name:"Thursday"},{name:"Friday"},{name:"Saturday"}
  ];
  var hour_list = [];

  for (var i = 0; i <= 23; i++){
    var hour = (i <= 9 ? "0" + i : i);
    var title = hour + ":00-" + hour + ":59";
    hour_list.push({name:hour,title:title});
  }

  var t_and_s = form.find("tbody#time_and_date_schedule");
  var sheet =
    t_and_s.TimeSheet({
      data : {
        dimensions: dimensions,
        colHead: hour_list,
        rowHead: weekday_list,
        sheetHead : {name:"Day\\Time"},
        sheetData : sheet_data
      },
      end : function(ev,selected_area){
        day_and_hours_data(sheet, dimensions);
      }
    });

  day_and_hours_data(sheet, dimensions);
}


function day_and_hours_data(sheet, dimensions){
  var sheet_states = sheet.getSheetStates();
  var rows_count = dimensions[0];
  form.find("input.day_and_hours").remove();

  for(var row = 0, row_states=[]; row < rows_count; ++row){
    row_states = sheet_states[row];
    form.append('<input type="hidden" class="day_and_hours" name="day_and_hours[]" value="'+ row_states.toString() +'" />')
  }
}