var form_rep_scheduler = $("#form-rep-scheduler");

var rep_scheduler = new function() {
  this.frequecy = form_rep_scheduler.find("#frequency");
  this.weekdays = form_rep_scheduler.find("#weekdays");
  this.repeat = form_rep_scheduler.find("#repeat");
  this.start_date = form_rep_scheduler.find("#start_date");
  this.emails = form_rep_scheduler.find("#emails");
  this.scheduler_save = form_rep_scheduler.find("button#scheduler_save");
  this.scheduler_save_and_exec = form_rep_scheduler.find("button#scheduler_save_and_exec");

  this.hide_fields = function(){
    var fields = [this.frequecy, this.weekdays];

    fields.map(function (element){
      var fg = element.attr('data-fg');
      $("div." + fg).hide();
    });
  };

  this.repeat_mode = function(){
    var mode = this.repeat.val();
    var addon_text = '--';
    var frequency = this.frequecy.val();
    var frequency_fg = this.frequecy.attr('data-fg');
    var weekdays_fg = this.weekdays.attr('data-fg');
    var show_frequency = false;

    this.hide_fields();

    switch (mode){
      case 'one_time_event':
        break;
      case 'daily':
        addon_text = day;
        if(frequency > 1){ addon_text = days; }
        show_frequency = true;
        break;
      case 'weekly':
        addon_text = week;
        if(frequency > 1){ addon_text = weeks; }
        show_frequency = true;
        $("div."  + weekdays_fg).show();
        break;
      case 'monthly':
        addon_text = month;
        if(frequency > 1){ addon_text = months; }
        show_frequency = true;
        break;
      case 'yearly':
        addon_text = year;
        if(frequency > 1){ addon_text = years; }
        show_frequency = true;
        break;
    }

    var addon = this.frequecy.next('span.input-group-addon');
    addon.html(addon_text);
    if(show_frequency) {
      $("div."  + frequency_fg).show();
    }
  };

  this.user_interaction = function(){
    this.repeat.unbind('change');
    this.repeat.on('change', function(){
      rep_scheduler.repeat_mode();
    });

    this.frequecy.unbind('input');
    this.frequecy.on('input', function() {
      rep_scheduler.repeat_mode();
    });

    this.scheduler_save.unbind('change');
    this.scheduler_save.on('click', function(){
      var action = form_rep_scheduler.find('input[name=save_action]').val();
      virtual_submit(form_rep_scheduler.serialize() + "&action=" + action);
    });

    this.scheduler_save_and_exec.unbind('change');
    this.scheduler_save_and_exec.on('click', function(){
      var action = form_rep_scheduler.find('input[name=save_action]').val();
      virtual_submit(form_rep_scheduler.serialize() + "&action=" + action + "&exec=true");
    });

    this.weekdays.selectize({
      delimiter: ',',
      persist: false,
      maxItems: null
    });

    this.emails.selectize({
      delimiter: ',',
      persist: false,
      create: function(input) {
        return {
          value: input,
          text: input
        }
      }
    });

    this.start_date.datetimepicker({
      format: date_format + ' ' + time_format
    });
  };
};

rep_scheduler.hide_fields();
rep_scheduler.repeat_mode();
rep_scheduler.user_interaction();


