function import_dial_codes(form, submit_button_id, input_file_name) {
	form = $("#" + form);
	var uploadCSVButton = form.find('button#'+submit_button_id);
	var CSVImportAction = form.find('input[name=action]');
	var CSVImportedAction = form.find('input[name=imported]');

	uploadCSVButton.on('click', function (evt) {
		evt.preventDefault();
		var btn = $(this);
		var originalText = btn.text();
		var importingText = btn.attr('data-importing');
		var fileInput = form.find('input[name="'+input_file_name+'"]')[0].files;

		var processed = 0;
		var skipped = 0;
		var added = 0;
		var updated = 0;
		var removed = 0;

		importCSVFile(
			fileInput,
			function (content, onLoadCallBack, onLoadEndCallBack) {
				var postData = {
					file_content: content,
					action: CSVImportAction.val()
				};

				form.find('input, select, textarea').each(function () {
					var element = $(this);
					var type = element.prop('type');
					if(type.match(/^(select|select-one|text|number)$/)){
						postData[element.prop('name')] = element.val();
					}
				});

				$.ajax({
					beforeSend: function(){
						btn.attr('disabled', true);
						btn.text(importingText);
						btn.addClass('loading');
					},
					type: "POST",
					url: window.location.pathname,
					data: postData,
					global: false
				}).done(function (response) {
					try{
						var data = JSON.parse($.base64.decode(response));
					}catch(err){
						toastr.error('Unexpected Server Response','Inconceivable!');
						console.log(response);
					}

					if(typeof data === 'object') {
						switch (data.action) {
							case 'notification':
								btn.attr('disabled', false);
								btn.text(originalText);
								btn.removeClass('loading');
								notification(data);
								break;
							case 'imported':
								console.log(data);
								processed += data.params.processed;
								skipped += data.params.skipped;
								added += data.params.added;
								updated += data.params.updated;
								removed += data.params.removed;
								importCSVFile(fileInput, onLoadCallBack, onLoadEndCallBack);
								break;
						}
					}
				});
			},
			function () {
				virtual_submit({
					action: CSVImportedAction.val(),
					csv_imported: true,
					processed: processed,
					skipped: skipped,
					added: added,
					updated: updated,
					removed: removed
				})
			}, true);
	});
}